# memDescriptor Struct Reference

`#include <kmalloc.h>`

## Data Fields

memDescriptor * | prev
memDescriptor * | next
void * | baseAddr
uInt32 | limit
uInt8 | status
pidType | pid
char | reserved [11]

## Field Documentation

void* memDescriptor::baseAddr

uInt32 memDescriptor::limit

struct memDescriptor* memDescriptor::next

pidType memDescriptor::pid

struct memDescriptor* memDescriptor::prev

char memDescriptor::reserved[11]

uInt8 memDescriptor::status

The documentation for this struct was generated from the following file:

- kmalloc.h